Subject: Re: bug#34858: indent-relative called with prefix calls tab-to-tab-stop

From: Eli Zaretskii <[email-masked]>
Date: Thu, 14 Mar 2019 22:18:56 +0200

> From: Alex <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 14 Mar 2019 12:57:08 -0600
> 
> Sorry, I wasn't clear. I meant that the special case here could be
> considered (trivially) equivalent to the case where the previous
> non-blank line has a single indent point at column zero, and therefore
> should be treated equivalently when FIRST-ONLY is non-nil
> (`tab-to-tab-stop` should not be called if on or past the first indent
> point, i.e., column 0).

But then we'd do nothing in that situation.  How does it make sense?

> The usage of `beyond' does not change the behaviour when the starting
> column is on the first indent point, which outside of this special case
> is doing nothing.

When there are previous lines to align with, yes.  But here there's
nothing before, so what is the justification for doing nothing?